Bug 1804605 - marketplace.openshift.io/support-workflow annotation is missing for Joget Operator
Summary: marketplace.openshift.io/support-workflow annotation is missing for Joget Ope...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ISV Operators
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Matt Dorn
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 09:14 UTC by Yadan Pei
Modified: 2020-04-14 15:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Yadan Pei 2020-02-19 09:14:25 UTC
Description of problem:
Joget Operator 0.0.3 is missing marketplace.openshift.io/support-workflow annotation so we don't show 'Get Support' link for it

Version-Release number of selected component (if applicable):
Joget Operator 0.0.3
4.4.0-0.nightly-2020-02-18-164016

How reproducible:
Always

Steps to Reproduce:
1. cluster admin user subscribe Joget Operator from Operators -> Operator Hub -> Choose Provider Type: marketplace -> choose 'Joget Operator' -> Install
2. Check Support link in the open Operator details modal

Actual results:
2. It shows ''Support Joget, Inc' for other marketplace operators, we show additional 'Get Support' link since they have marketplace.openshift.io/support-workflow annotation

Expected results:
2. It looks like Joget Operator should also have marketplace.openshift.io/support-workflow annotation

Additional info:


Note You need to log in before you can comment on or make changes to this bug.